/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LGUI_ACTION
#define LGUI_ACTION

#include "lgui.h"

/* GtkAction */

int lgui_action_new(lua_State* L);
int lgui_action_activate(lua_State* L);
int lgui_action_create_icon(lua_State* L);
int lgui_action_create_menu_item(lua_State* L);
int lgui_action_create_tool_item(lua_State* L);
int lgui_action_connect_proxy(lua_State* L);
int lgui_action_disconnect_proxy(lua_State* L);
int lgui_action_get_proxies(lua_State* L);
int lgui_action_set_accel_group(lua_State* L);
int lgui_action_connect_accelerator(lua_State* L);
int lgui_action_disconnect_accelerator(lua_State* L);

/* GtkRecentAction */

int lgui_recent_action_new(lua_State* L);
int lgui_recent_action_new_for_manager(lua_State* L);

/* GtkToggleAction */

int lgui_toggle_action_new(lua_State* L);
int lgui_toggle_action_toggled(lua_State* L);

/* GtkRadioAction */

int lgui_radio_action_new(lua_State* L);

/* GtkActionGroup */

int lgui_action_group_new(lua_State* L);
int lgui_action_group_add_action(lua_State* L);
int lgui_action_group_add_action_with_accel(lua_State* L);
int lgui_action_group_get_action(lua_State* L);
int lgui_action_group_remove_action(lua_State* L);
int lgui_action_group_list_actions(lua_State* L);

#endif
