/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#include "button.h"

/* GtkButton */

int lgui_button_new(lua_State* L)
{
	GtkWidget* ptr = gtk_button_new();

	object_new(L, ptr, FALSE);
	return 1;
}

int lgui_button_new_from_stock(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TSTRING);
	GtkWidget* ptr = gtk_button_new_from_stock(lua_tostring(L, 1));

	object_new(L, ptr, FALSE);
	return 1;
}

int lgui_button_new_with_mnemonic(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TSTRING);
	GtkWidget* ptr = gtk_button_new_with_mnemonic(lua_tostring(L, 1));

	object_new(L, ptr, FALSE);
	return 1;
}

/* GtkToggleButton */

int lgui_toggle_button_new(lua_State* L)
{
	GtkWidget* ptr = gtk_toggle_button_new();

	object_new(L, ptr, FALSE);
	return 1;
}

int lgui_toggle_button_new_with_mnemonic(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TSTRING);
	GtkWidget* ptr = gtk_toggle_button_new_with_mnemonic(lua_tostring(L, 1));

	object_new(L, ptr, FALSE);
	return 1;
}

/* GtkRadioButton */

int lgui_radio_button_new(lua_State* L)
{
	GtkWidget* ptr = gtk_radio_button_new(NULL);

	object_new(L, ptr, FALSE);
	return 1;
}

int lgui_radio_button_new_with_mnemonic(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TSTRING);
	GtkWidget* ptr = gtk_radio_button_new_with_mnemonic(NULL, lua_tostring(L, 1));

	object_new(L, ptr, FALSE);
	return 1;
}

int lgui_radio_button_new_from_widget(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);

	Object* obj = lua_touserdata(L, 1);
	GtkWidget* ptr = gtk_radio_button_new_from_widget(GTK_RADIO_BUTTON(obj->pointer));

	object_new(L, ptr, FALSE);
	return 1;
}

int lgui_radio_button_new_with_mnemonic_from_widget(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	luaL_checktype(L, 2, LUA_TSTRING);

	Object* obj = lua_touserdata(L, 1);
	GtkWidget* ptr = gtk_radio_button_new_with_mnemonic_from_widget(GTK_RADIO_BUTTON(obj->pointer), lua_tostring(L, 2));

	object_new(L, ptr, FALSE);
	return 1;
}

/* GtkCheckButton */

int lgui_check_button_new(lua_State* L)
{
	GtkWidget* ptr = gtk_check_button_new();

	object_new(L, ptr, FALSE);
	return 1;
}

int lgui_check_button_new_with_mnemonic(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TSTRING);
	GtkWidget* ptr = gtk_check_button_new_with_mnemonic(lua_tostring(L, 1));

	object_new(L, ptr, FALSE);
	return 1;
}

/* GtkColorButton */

int lgui_color_button_new(lua_State* L)
{
	GtkWidget* ptr = gtk_color_button_new();
	object_new(L, ptr, FALSE);

	return 1;
}

/* GtkFontButton */

int lgui_font_button_new(lua_State* L)
{
	GtkWidget* ptr = gtk_font_button_new();
	object_new(L, ptr, FALSE);

	return 1;
}

/* GtkFileChooserButton */

int lgui_file_chooser_button_new(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TSTRING);
	luaL_checktype(L, 2, LUA_TNUMBER);

	GtkWidget* ptr = gtk_file_chooser_button_new(lua_tostring(L, 1), (GtkFileChooserAction)lua_tointeger(L, 2));
	object_new(L, ptr, FALSE);

	return 1;
}

/* GtkScaleButton */

int lgui_scale_button_new(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TNUMBER);
	luaL_checktype(L, 2, LUA_TNUMBER);
	luaL_checktype(L, 3, LUA_TNUMBER);
	luaL_checktype(L, 4, LUA_TNUMBER);

	GtkWidget* ptr = gtk_scale_button_new(lua_tointeger(L, 1), lua_tonumber(L, 2),
	lua_tonumber(L, 3), lua_tonumber(L, 4), NULL);

	object_new(L, ptr, FALSE);

	return 1;
}

/* GtkVolumeButton */

int lgui_volume_button_new(lua_State* L)
{
	GtkWidget* ptr = gtk_volume_button_new();
	object_new(L, ptr, FALSE);

	return 1;
}

/* GtkLinkButton

int lgui_link_button_new(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TSTRING);
	GtkWidget* ptr = gtk_link_button_new(lua_tostring(L, 1));
	object_new(L, ptr, FALSE);

	return 1;
}
*/
