/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#include "calendar.h"

int lgui_calendar_new(lua_State* L)
{
	GtkWidget* ptr = gtk_calendar_new();
	object_new(L, ptr, FALSE);

	return 1;
}

int lgui_calendar_mark_day(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	luaL_checktype(L, 2, LUA_TNUMBER);
	Object* obj = lua_touserdata(L, 1);

	gtk_calendar_mark_day(GTK_CALENDAR(obj->pointer), lua_tointeger(L, 2));

	return 0;
}

int lgui_calendar_unmark_day(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	luaL_checktype(L, 2, LUA_TNUMBER);
	Object* obj = lua_touserdata(L, 1);

	gtk_calendar_unmark_day(GTK_CALENDAR(obj->pointer), lua_tointeger(L, 2));

	return 0;
}

int lgui_calendar_clear_marks(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	Object* obj = lua_touserdata(L, 1);

	gtk_calendar_clear_marks(GTK_CALENDAR(obj->pointer));

	return 0;
}
