/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LGUI_DIALOG
#define LGUI_DIALOG

#include "widget.h"

/* GtkDialog */

int lgui_dialog_new(lua_State* L);
int lgui_dialog_run(lua_State* L);
int lgui_dialog_add_button(lua_State* L);
int lgui_dialog_get_vbox(lua_State* L);
int lgui_dialog_response(lua_State* L);

/* GtkFileFilter */

int lgui_file_filter_new(lua_State* L);
int lgui_file_filter_set_name(lua_State* L);
int lgui_file_filter_get_name(lua_State* L);
int lgui_file_filter_add_mimetype(lua_State* L);
int lgui_file_filter_add_pattern(lua_State* L);
int lgui_file_filter_add_pixbuf_formats(lua_State* L);

/* GtkFileChooser */

int lgui_file_chooser_add_filter(lua_State* L);
int lgui_file_chooser_remove_filter(lua_State* L);
int lgui_file_chooser_get_filename(lua_State* L);
int lgui_file_chooser_set_filename(lua_State* L);
int lgui_file_chooser_get_filenames(lua_State* L);
int lgui_file_chooser_get_filenames(lua_State* L);
int lgui_file_chooser_get_filenames(lua_State* L);
int lgui_file_chooser_select_filename(lua_State* L);
int lgui_file_chooser_unselect_filename(lua_State* L);
int lgui_file_chooser_select_all(lua_State* L);
int lgui_file_chooser_unselect_all(lua_State* L);
int lgui_file_chooser_set_current_folder(lua_State* L);
int lgui_file_chooser_get_current_folder(lua_State* L);

/* GtkFileChooserDialog */

int lgui_file_chooser_dialog_new(lua_State* L);
int lgui_file_chooser_dialog_get_selected_file(lua_State* L);
int lgui_file_chooser_dialog_set_selected_file(lua_State* L);

/* GtkColorSelectionDialog */

int lgui_color_selection_dialog_new(lua_State* L);
int lgui_color_selection_dialog_get_chooser(lua_State* L);

/* GtkFontSelectionDialog */

int lgui_font_selection_dialog_new(lua_State* L);
int lgui_font_selection_dialog_get_chooser(lua_State* L);

/* GtkAboutDialog */

int lgui_about_dialog_new(lua_State* L);
int lgui_about_dialog_set_email_hook(lua_State* L);
int lgui_about_dialog_set_url_hook(lua_State* L);

#endif
