/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LGUI_DND
#define LGUI_DND

#include "lgui.h"

/* GdkDragContext */

int lgui_drag_context_status(lua_State* L);
int lgui_drag_context_get_source_widget(lua_State* L);
int lgui_drag_context_finish(lua_State* L);

/* GtkDragDest */

int lgui_drag_dest_set(lua_State* L);

/* GtkDragSource */

int lgui_drag_source_set(lua_State* L);
int lgui_drag_source_set_icon_pixbuf(lua_State* L);
int lgui_drag_source_set_icon_stock(lua_State* L);

/* GtkTargetEntry (not an object, but this ease the implementation */

struct TargetEntry
{
	GtkTargetEntry* entry;
	int size;
};

int lgui_target_entry_new(lua_State* L);
int lgui_target_entry_destroy(lua_State* L);

/* GtkSelectionData */

int lgui_selection_data_get_text(lua_State* L);
int lgui_selection_data_get_pixbuf(lua_State* L);
int lgui_selection_data_set_text(lua_State* L);
int lgui_selection_data_set_pixbuf(lua_State* L);
int lgui_selection_data_set(lua_State* L);

#endif
