/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#include "print.h"

/* GtkPrintOperation */

int lgui_print_operation_new(lua_State* L)
{
	GtkPrintOperation* ptr = gtk_print_operation_new();
	object_new(L, ptr, TRUE);

	return 1;
}

int lgui_print_operation_run(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	luaL_checktype(L, 2, LUA_TNUMBER);

	int top = lua_gettop(L);
	GtkWindow* parent = NULL;

	if(top >= 3)
	{
		Object* obj = lua_touserdata(L, 3);
		luaL_checktype(L, 3, LUA_TUSERDATA);
		parent = GTK_WINDOW(obj->pointer);
	}

	Object* obj = lua_touserdata(L, 1);
	int res = (int)gtk_print_operation_run(GTK_PRINT_OPERATION(obj->pointer),
	(GtkPrintOperationAction)lua_tointeger(L, 2), parent, NULL);

	lua_pushnumber(L, res);

	return 1;
}

/* GtkPrintContext */

int lgui_print_context_create_pango_layout(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	Object* obj = lua_touserdata(L, 1);

	PangoLayout* ptr = gtk_print_context_create_pango_layout(GTK_PRINT_CONTEXT(obj->pointer));
	object_new(L, ptr, TRUE);

	return 1;
}

int lgui_print_context_get_size(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	Object* obj = lua_touserdata(L, 1);

	lua_pushnumber(L, gtk_print_context_get_width(GTK_PRINT_CONTEXT(obj->pointer)));
	lua_pushnumber(L, gtk_print_context_get_height(GTK_PRINT_CONTEXT(obj->pointer)));

	return 2;
}

int lgui_print_context_get_dpi(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	Object* obj = lua_touserdata(L, 1);

	lua_pushnumber(L, gtk_print_context_get_dpi_x(GTK_PRINT_CONTEXT(obj->pointer)));
	lua_pushnumber(L, gtk_print_context_get_dpi_y(GTK_PRINT_CONTEXT(obj->pointer)));

	return 2;
}
