/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#include "widget.h"

/* GtkRecentManager */

int lgui_recent_manager_new(lua_State* L);
int lgui_recent_manager_get_default(lua_State* L);
int lgui_recent_manager_add_item(lua_State* L);
int lgui_recent_manager_remove_item(lua_State* L);
int lgui_recent_manager_lookup_item(lua_State* L);
int lgui_recent_manager_has_item(lua_State* L);
int lgui_recent_manager_move_item(lua_State* L);
int lgui_recent_manager_purge_items(lua_State* L);
int lgui_recent_manager_get_items(lua_State* L);

/* GtkRecentInfo */

int lgui_recent_info_get_uri(lua_State* L);
int lgui_recent_info_get_display_name(lua_State* L);
int lgui_recent_info_get_description(lua_State* L);
int lgui_recent_info_get_mime_type(lua_State* L);
int lgui_recent_info_get_added(lua_State* L);
int lgui_recent_info_get_modified(lua_State* L);
int lgui_recent_info_get_visited(lua_State* L);
int lgui_recent_info_get_private_hint(lua_State* L);
int lgui_recent_info_get_short_name(lua_State* L);
int lgui_recent_info_exists(lua_State* L);
int lgui_recent_info_get_applications(lua_State* L);
int lgui_recent_info_last_application(lua_State* L);

/* GtkRecentFilter */

int lgui_recent_filter_new(lua_State* L);
int lgui_recent_filter_get_name(lua_State* L);
int lgui_recent_filter_set_name(lua_State* L);
int lgui_recent_filter_add_mime_type(lua_State* L);
int lgui_recent_filter_add_pattern(lua_State* L);
int lgui_recent_filter_add_application(lua_State* L);
int lgui_recent_filter_add_age(lua_State* L);
int lgui_recent_filter_add_pixbuf_formats(lua_State* L);

/* GtkRecentChooser */

int lgui_recent_chooser_add_filter(lua_State* L);
int lgui_recent_chooser_remove_filter(lua_State* L);
int lgui_recent_chooser_select_uri(lua_State* L);
int lgui_recent_chooser_unselect_uri(lua_State* L);
int lgui_recent_chooser_select_all(lua_State* L);
int lgui_recent_chooser_unselect_all(lua_State* L);
int lgui_recent_chooser_set_current_uri(lua_State* L);
int lgui_recent_chooser_get_current_uri(lua_State* L);
int lgui_recent_chooser_get_current_item(lua_State* L);
int lgui_recent_chooser_get_items(lua_State* L);

/* GtkRecentChooserDialog */

int lgui_recent_chooser_dialog_new(lua_State* L);
int lgui_recent_chooser_dialog_new_for_manager(lua_State* L);

/* GtkRecentChooserMenu */

int lgui_recent_chooser_menu_new(lua_State* L);
int lgui_recent_chooser_menu_new_for_manager(lua_State* L);
