/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#include "sizegroup.h"

int lgui_size_group_new(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TNUMBER);
		
	GtkSizeGroup* ptr = gtk_size_group_new(lua_tointeger(L, 1));
	object_new(L, ptr, TRUE);
	
	return 1;
}

int lgui_size_group_add_widget(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	int top = lua_gettop(L), i;
	Object* obj1 = lua_touserdata(L, 1);
	Object* obj2 = NULL;
	
	for(i = 2; i <= top; ++i)
	{
		luaL_checktype(L, i, LUA_TUSERDATA);
	 	obj2 = lua_touserdata(L, i);
	 	gtk_size_group_add_widget(GTK_SIZE_GROUP(obj1->pointer), GTK_WIDGET(obj2->pointer));
	}
	
	return 0;	
}

int lgui_size_group_remove_widget(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	int top = lua_gettop(L), i;
	Object* obj1 = lua_touserdata(L, 1);
	Object* obj2 = NULL;
	
	for(i = 2; i <= top; ++i)
	{
		luaL_checktype(L, i, LUA_TUSERDATA);
	 	obj2 = lua_touserdata(L, i);
	 	gtk_size_group_remove_widget(GTK_SIZE_GROUP(obj1->pointer), GTK_WIDGET(obj2->pointer));
	}
	
	return 0;	
}
