/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LGUI_STATIC
#define LGUI_STATIC

#include "widget.h"

/* GtkScrolledWindow */

int lgui_scrolled_window_new(lua_State* L);

/* GtkAdjustment */

int lgui_adjustment_new(lua_State* L);

/* GtkProgressBar */

int lgui_progress_bar_new(lua_State* L);
int lgui_progress_bar_pulse(lua_State* L);

/* GtkFrame */

int lgui_frame_new(lua_State* L);

/* GtkEventBox */

int lgui_event_box_new(lua_State* L);

/* GtkDrawingArea */

int lgui_drawing_area_new(lua_State* L);

/* GtkImage */

int lgui_image_new(lua_State* L);

/* GtkPaned */

int lgui_vpaned_new(lua_State* L);
int lgui_hpaned_new(lua_State* L);

/* GtkExpander */

int lgui_expander_new_with_mnemonic(lua_State* L);

/* GtkAlignment */

int lgui_alignment_new(lua_State* L);

/* GtkHandleBox */

int lgui_handle_box_new(lua_State* L);

/* GtkSeparator */

int lgui_vseparator_new(lua_State* L);
int lgui_hseparator_new(lua_State* L);

/* GtkArrow */

int lgui_arrow_new(lua_State* L);

/* Misc */

int lgui_show_uri(lua_State* L);

#endif
