/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#include "statusbar.h"

int lgui_statusbar_new(lua_State* L)
{
	GtkWidget* ptr = gtk_statusbar_new();
	object_new(L, ptr, FALSE);

	return 1;
}

int lgui_statusbar_get_context_id(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	luaL_checktype(L, 2, LUA_TSTRING);

	Object* obj = lua_touserdata(L, 1);
	guint id = gtk_statusbar_get_context_id(GTK_STATUSBAR(obj->pointer), lua_tostring(L, 2));
	lua_pushnumber(L, id);

	return 1;
}

int lgui_statusbar_push(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	luaL_checktype(L, 2, LUA_TNUMBER);
	luaL_checktype(L, 3, LUA_TSTRING);

	Object* obj = lua_touserdata(L, 1);
	guint id = gtk_statusbar_push(GTK_STATUSBAR(obj->pointer), lua_tointeger(L, 2), lua_tostring(L, 3));
	lua_pushnumber(L, id);

	return 1;
}

int lgui_statusbar_pop(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	luaL_checktype(L, 2, LUA_TNUMBER);

	Object* obj = lua_touserdata(L, 1);
	gtk_statusbar_pop(GTK_STATUSBAR(obj->pointer), lua_tointeger(L, 2));

	return 0;
}

int lgui_statusbar_remove(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	luaL_checktype(L, 2, LUA_TNUMBER);
	luaL_checktype(L, 3, LUA_TNUMBER);

	Object* obj = lua_touserdata(L, 1);
	gtk_statusbar_remove(GTK_STATUSBAR(obj->pointer), lua_tointeger(L, 2), lua_tointeger(L, 3));

	return 0;
}
