/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#include "toolbar.h"

/* GtkToolbar */

int lgui_toolbar_new(lua_State* L)
{
	GtkWidget* ptr = gtk_toolbar_new();
	object_new(L, ptr, FALSE);

	return 1;
}

int lgui_toolbar_insert(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	luaL_checktype(L, 2, LUA_TUSERDATA);
	luaL_checktype(L, 3, LUA_TNUMBER);
	Object* obj = lua_touserdata(L, 1);
	Object* item = lua_touserdata(L, 2);

	gtk_toolbar_insert(GTK_TOOLBAR(obj->pointer), GTK_TOOL_ITEM(item->pointer), lua_tonumber(L, 3));

	return 0;
}

/* GtkToolItem */

int lgui_tool_item_new(lua_State* L)
{
	GtkToolItem* ptr = gtk_tool_item_new();
	object_new(L, ptr, FALSE);

	return 1;
}

int lgui_tool_button_new(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	luaL_checktype(L, 2, LUA_TSTRING);
	Object* obj = lua_touserdata(L, 1);

	GtkToolItem* ptr = gtk_tool_button_new(GTK_WIDGET(obj->pointer), lua_tostring(L, 2));
	object_new(L, ptr, FALSE);

	return 1;
}

int lgui_tool_button_new_from_stock(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TSTRING);

	GtkToolItem* ptr = gtk_tool_button_new_from_stock(lua_tostring(L, 1));
	object_new(L, ptr, FALSE);

	return 1;
}

/* GtkSeparatorToolIcon */

int lgui_separator_tool_item_new(lua_State* L)
{
	GtkToolItem* ptr = gtk_separator_tool_item_new();
	object_new(L, ptr, FALSE);

	return 1;
}

/* GtkMenuToolButton */

int lgui_menu_tool_button_new(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	luaL_checktype(L, 2, LUA_TSTRING);
	Object* obj = lua_touserdata(L, 1);

	GtkToolItem* ptr = gtk_menu_tool_button_new(GTK_WIDGET(obj->pointer), lua_tostring(L, 2));
	object_new(L, ptr, FALSE);

	return 1;
}

int lgui_menu_tool_button_new_from_stock(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TSTRING);

	GtkToolItem* ptr = gtk_menu_tool_button_new_from_stock(lua_tostring(L, 1));
	object_new(L, ptr, FALSE);

	return 1;
}
