/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#include "tooltip.h"

int lgui_tooltip_set_markup(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	luaL_checktype(L, 2, LUA_TSTRING);
	Object* obj = lua_touserdata(L, 1);
	
	gtk_tooltip_set_markup(GTK_TOOLTIP(obj->pointer), lua_tostring(L, 2)); 
	
	return 0;
}

int lgui_tooltip_set_text(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	luaL_checktype(L, 2, LUA_TSTRING);
	Object* obj = lua_touserdata(L, 1);
	
	gtk_tooltip_set_text(GTK_TOOLTIP(obj->pointer), lua_tostring(L, 2)); 
	
	return 0;
}

int lgui_tooltip_set_icon(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	luaL_checktype(L, 2, LUA_TUSERDATA);
	Object* obj1 = lua_touserdata(L, 1);
	Object* obj2 = lua_touserdata(L, 2);
	
	gtk_tooltip_set_icon(GTK_TOOLTIP(obj1->pointer), GDK_PIXBUF(obj2->pointer)); 
	
	return 0;
}

int lgui_tooltip_set_icon_from_stock(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	luaL_checktype(L, 2, LUA_TSTRING);
	luaL_checktype(L, 3, LUA_TNUMBER);
	Object* obj = lua_touserdata(L, 1);
	
	gtk_tooltip_set_icon_from_stock(GTK_TOOLTIP(obj->pointer), lua_tostring(L, 2),
	(GtkIconSize)lua_tointeger(L, 3)); 
	
	return 0;
}

int lgui_tooltip_set_custom(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	luaL_checktype(L, 2, LUA_TUSERDATA);
	Object* obj1 = lua_touserdata(L, 1);
	Object* obj2 = lua_touserdata(L, 2);
	
	gtk_tooltip_set_custom(GTK_TOOLTIP(obj1->pointer), GTK_WIDGET(obj2->pointer)); 
	
	return 0;
}
