/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.

    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LGUI_WIDGET
#define LGUI_WIDGET

#include "lgui.h"

int lgui_widget_realize(lua_State* L);
int lgui_widget_show(lua_State* L);
int lgui_widget_show_all(lua_State* L);
int lgui_widget_hide(lua_State* L);
int lgui_widget_hide_all(lua_State* L);
int lgui_widget_focus(lua_State* L);
int lgui_widget_get_window(lua_State* L);
int lgui_widget_get_size(lua_State* L);
int lgui_widget_get_pos(lua_State* L);
int lgui_widget_queue_draw(lua_State* L);
int lgui_widget_queue_clear(lua_State* L);
int lgui_widget_add_events(lua_State* L);
int lgui_widget_set_events(lua_State* L);
int lgui_widget_get_pointer(lua_State* L);
int lgui_widget_render_icon(lua_State* L);
int lgui_widget_get_handle(lua_State* L);
int lgui_widget_activate(lua_State* L);
int lgui_widget_thaw_child_notify(lua_State* L);
int lgui_widget_freeze_child_notify(lua_State* L);
int lgui_widget_child_notify(lua_State* L);
int lgui_widget_get_snapshot(lua_State* L);

/* Style */

int lgui_widget_modify_text(lua_State* L);
int lgui_widget_modify_fg(lua_State* L);
int lgui_widget_modify_bg(lua_State* L);
int lgui_widget_modify_base(lua_State* L);
int lgui_widget_modify_font(lua_State* L);

#endif
