#! /usr/bin/env lua

--[[
	Performance tests.
--]]

local n = arg[1] and tonumber(arg[1]) or 99999

-- initialization
local before = os.clock()
require("lgui")
print("lib init: ", os.clock() - before)

-- get / set
before = os.clock()

local label = lgui.Label.new("Hi! I'm a label")

for i = 1, n do
	local l, a = label:get("label", "angle")
	label:set("label", l, "angle", a)
end

print("get / set: ", os.clock() - before)

-- ListStore
before = os.clock()

local list = lgui.ListStore.new("glong", "gchar", "gchararray", "gint", "gint", "gchar")
local iter = lgui.TreeIter.new()

for i = 1, n do
	list:append(iter)
	local t = {i * 5000, "a", "sdsdsad", 10, 10, "c"}
	list:seto(iter, unpack(t))
end

print("ListStore: ", os.clock() - before)

-- Object creation
before = os.clock()

for i = 1, n do
	lgui.Button.new()
end

print("obj creation: ", os.clock() - before)
print(string.rep('-', 20))
print("Total time: ", os.clock())

print("\nEnd.")

if arg[1] == "mem" then
	-- Pause to manually check the memory use
	io.read("*n")
end
